<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_SearchSegmentsVisa StructType
 * @subpackage Structs
 */
class JP_SearchSegmentsVisa extends AbstractStructBase
{
    /**
     * The SearchSegmenVisa
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentVisa
     */
    public $SearchSegmenVisa;
    /**
     * Constructor method for JP_SearchSegmentsVisa
     * @uses JP_SearchSegmentsVisa::setSearchSegmenVisa()
     * @param \StructType\JP_SearchSegmentVisa $searchSegmenVisa
     */
    public function __construct(\StructType\JP_SearchSegmentVisa $searchSegmenVisa = null)
    {
        $this
            ->setSearchSegmenVisa($searchSegmenVisa);
    }
    /**
     * Get SearchSegmenVisa value
     * @return \StructType\JP_SearchSegmentVisa|null
     */
    public function getSearchSegmenVisa()
    {
        return $this->SearchSegmenVisa;
    }
    /**
     * Set SearchSegmenVisa value
     * @param \StructType\JP_SearchSegmentVisa $searchSegmenVisa
     * @return \StructType\JP_SearchSegmentsVisa
     */
    public function setSearchSegmenVisa(\StructType\JP_SearchSegmentVisa $searchSegmenVisa = null)
    {
        $this->SearchSegmenVisa = $searchSegmenVisa;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_SearchSegmentsVisa
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
